com.hazelcast.jet.accumulator

## Class LongDoubleAccumulator

- java.lang.Object
- - com.hazelcast.jet.accumulator.LongDoubleAccumulator

-     public class LongDoubleAccumulator
      extends Object

  Mutable container of a `long` and a `double` value.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongDoubleAccumulator()` Creates a new instance with values equal to 0.
    `LongDoubleAccumulator(long longValue, double doubleValue)` Creates a new instance with the specified values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `double` | `getDouble()` Returns the `double` value.
    `long` | `getLong()` Returns the `long` value.
    `int` | `hashCode()`
    `void` | `setDouble(double value2)` Sets the `double` value.
    `void` | `setLong(long value1)` Sets the `long` value.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LongDoubleAccumulator

          public LongDoubleAccumulator()

      Creates a new instance with values equal to 0.

    - #### LongDoubleAccumulator

          public LongDoubleAccumulator(long longValue,
                                       double doubleValue)

      Creates a new instance with the specified values.

  - ### Method Detail

    - #### getLong

          public long getLong()

      Returns the `long` value.

    - #### setLong

          public void setLong(long value1)

      Sets the `long` value.

    - #### getDouble

          public double getDouble()

      Returns the `double` value.

    - #### setDouble

          public void setDouble(double value2)

      Sets the `double` value.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020. All rights reserved.